Subject: Re: bug#5757: String literal parse problem in ruby-mode

From: Stefan Monnier <[email-masked]>
Date: Tue, 12 Apr 2011 00:16:38 -0300

>> His proposed fix is not correct: in ruby (like in Elisp) ?<char> is used
>> for chars (including ?' and ?") and $' and $" are also special vars, so
>> his fix just disables the special treatment of ?.
>> For Emacs-24, we use a different chunk of code which doesn't suffer from
>> this problem (mostly calling syntax-ppss to determine if we're inside
>> a string).
> Is this worth backporting to Emacs 23?  If not, let's close this bug.

I think it's more important to keep in touch with the upstream
maintainers.  E.g. I still haven't heard anything from them regarding
the changes I've made for syntax-propertize (which happen to fix the
OP's problem).  I'm worried we might not stay in sync.

        Stefan